<?php
$GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"] ?: array()) + array("_978bdb9fa2dd8b7" . "85198205373a4835" . "7" => base64_decode("WE" . "1M"), "_50a895dc4e2369e6" . "a583ce435de5021e" => base64_decode("SWxsZWdhbCBtZXRhZGF0Y" . "SBleHBvcnQgdHlwZQ=="), "_74168d6a69" . "480eb602cf8" . "d6006121f5d" => base64_decode("Q" . "1" . "N" . "W"), "_bd71c3b5c201" . "fc11db82ed14c" . "e424de5" => base64_decode("aW5fYXJyYXk" . "="));




abstract class DocsExportMDCollector extends ErrorHandler
{
    const VERSION = "2.0.beta";
    const MD_EXPORT_CSV = 1;
    const MD_EXPORT_XML = 2;
    protected $export_type;
    
    
    
    
    protected $filesystem;
    
    
    
    
    
    
    
    
    
    public function __construct($_15b39d41c7ebda85defbd0d1cc3183cc)
    {
        if (!$GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"]["_bd71c3b5c201f" . "c11db82ed14ce4" . "24de5"]($_15b39d41c7ebda85defbd0d1cc3183cc, array(self::MD_EXPORT_CSV, self::MD_EXPORT_XML))) {
            throw new Exception($GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"]["_50a895dc4e2369e6a58" . "3ce435de5021e"]);
        }
        $this->export_type = $_15b39d41c7ebda85defbd0d1cc3183cc;
        return true;
    }
    
    
    
    
    
    public function Init(ERMSObject $_086956552503aa7ee69fdf9ad8441e56)
    {
        return true;
    }
    
    
    
    
    
    public function Close()
    {
        return true;
    }
    
    
    
    
    
    
    public function SetRemoteFilesystem(RemoteFilesystem $_33eb931581b031fdb2a1937880fb89cd)
    {
        $this->filesystem = $_33eb931581b031fdb2a1937880fb89cd;
        return true;
    }
    
    
    
    
    
    public function GetExportType()
    {
        return $this->export_type;
    }
    
    
    
    
    
    
    public static function GetExportTypes()
    {
        return array(self::MD_EXPORT_XML => $GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"]["_978bdb9fa" . "2dd8b78519" . "8205373a48" . "357"], self::MD_EXPORT_CSV => $GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"]["_74168d6a69480eb6" . "02cf8d6006121f5d"]);
    }
    
    
    
    
    public abstract function GetFolderMDExporter();
    
    
    
    
    public abstract function GetDocumentMDExporter();
    
    
    
    
    public abstract function SaveFolderMD(DocsExportFolderMDExporter $_d87c1a85615d0b67be8af312e25473f6, $path);
    
    
    
    
    public abstract function SaveDocumentMD(DocsExportDocumentMDExporter $_d87c1a85615d0b67be8af312e25473f6, $path);
}